﻿<?php
define( "_VALID_MOS", 1 );

// *** Send HTTP header ( dowloadable file )
header('Content-Type: application/x-msdownload');
header('Content-Disposition: attachment; filename="business.html"');

// *** Load Config values
require_once( "../../../globals.php" );
require_once( "../../../configuration.php" );
require_once( $mosConfig_absolute_path . "/includes/mambo.php" );

// *** Get language files
if (file_exists($mosConfig_absolute_path.'/components/com_jbd/language/' . $mosConfig_lang . '.php')) {
   include_once($mosConfig_absolute_path.'/components/com_jbd/language/' . $mosConfig_lang . '.php');
} else {
   include_once($mosConfig_absolute_path.'/components/com_jbd/language/english.php');
}

// ***init database object
$database = new database( $mosConfig_host, $mosConfig_user, $mosConfig_password, $mosConfig_db, $mosConfig_dbprefix );

require_once( $mosConfig_absolute_path . "/components/com_jbd/jbd.class.php" );



// *****************************************
// *** Export Categories (with sub-cats) ***
// *****************************************

function export($cat, $depth) {
  global $database;

  $output  = str_repeat(' ', $depth * 4);
  $output .= '<DT><H3 FOLDED ADD_DATE="' . time() .  '">' . $cat->title . '</H3>' . "\n";
  $output .= str_repeat(' ', $depth * 4);
  if ($cat->description) {
     $output .= '<DD>' .$cat->description."\n";
  }
  $output .= str_repeat(' ', $depth * 4);
  $output .= '<DL><P>' . "\n";

  $database->setQuery( "SELECT b.id, b.url, b.title, b.description, b.created, b.hits"
          . "\n FROM #__jbd AS b"
          . "\n LEFT JOIN #__jbd_itemcat AS i ON i.itemid = b.id"
          . "\n WHERE catid = $cat->id"
          . "\n AND (b.published=1 AND b.approved=1 AND b.archived=0)"
          . "\n ORDER BY b.title"
          );
  $jbd = $database->loadObjectList();

  foreach ($jbd as $business) {
      $output .= str_repeat(' ', ($depth + 1) * 4);
      $output .= '<DT><A HREF="' . $business->url . '" ADD_DATE="'. time() . '" LAST_VISIT="0" LAST_MODIFIED="0">';
      $output .= $business->title . '</A>' . "\n";
      if ($business->description) {
         $output .= str_repeat(' ', ($depth + 1) * 4);
         $output .= '<DD>' .$business->description."\n";
      }
  }

  $database->setQuery( "SELECT bc.id, bc.title, bc.description"
      . "\n FROM #__jbd_categories AS bc"
      . "\n WHERE bc.parent = $cat->id"
      . "\n ORDER BY bc.name"
  );
  $categories = $database->loadObjectList();

  foreach ($categories as $cat) {
      $output .= export($cat, $depth + 1);
  }

  $output .= str_repeat(' ', $depth * 4) . '</DL><P>'  . "\n";
  return $output;
}


// ************
// *** Main ***
// ************

$output = '<!DOCTYPE NETSCAPE-business-file-1>'."\n";

$output .= '<!--
*************************************************
*** DO NOT EDIT ! DO NOT EDIT ! DO NOT EDIT !
***
*** This is an automatically generated file.
*** It will be read and overwritten.
***
*** DO NOT EDIT ! DO NOT EDIT ! DO NOT EDIT !
*************************************************
***
*** Generator : Business Directory for Mambo
*** version   : '. mosjbd::getVersion(). '
*** Copyright : www.meesaw.com
*** Contact   : info@meesaw.com
***
*************************************************
***
*** Export Date : ' .(strftime ("%A, %d %B %Y - %H:%M", time()+($mosConfig_offset*60*60))). '
***
*************************************************
-->'."\n";

$output .= '
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<TITLE>jbd</TITLE>
<H1>jbd</H1>'."\n";

$output .= '<DL><P>'."\n";

$database->setQuery( "SELECT bc.id, bc.title, bc.description"
    . "\n FROM #__jbd_categories AS bc"
    . "\n WHERE bc.parent = $catid"
    . "\n ORDER BY bc.name"
);
$categories = $database->loadObjectList();

foreach ($categories as $cat) {  // Export sub-cats
    $output .= export($cat, 1);
}

$database->setQuery( "SELECT b.id, url, title, description, created, hits"
        . "\n FROM #__jbd AS b"
        . "\n LEFT JOIN #__jbd_itemcat as i ON i.itemid = b.id"
        . "\n WHERE i.catid = $catid"
        . "\n AND (b.published=1 AND b.approved=1 AND b.archived=0)"  // ?? Restrict scope to published and approved, but why not all ?
        . "\n ORDER BY b.title"
);
$jbd = $database->loadObjectList();

foreach ($jbd as $business) {    // export "Root Category" jbd
    $output .= str_repeat(' ', (1) * 4);  // Indentation
    $output .= '<DT><A HREF="' . $business->url . '" ADD_DATE="'. time() . '" LAST_VISIT="0" LAST_MODIFIED="0">';
    $output .= $business->title;
    $output .= '</A>' . "\n";
    $output .= str_repeat(' ', (1) * 4);  // Indentation
    $output .= '<DD>' .$business->description."\n";
}

$output .= '</DL><P>'."\n";

echo $output;

?>